> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Create registry



## OpenAPI

````yaml /api-reference/openapi.yaml post /accounts/{account_id}/registries
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /accounts/{account_id}/registries:
    post:
      tags:
        - Image Scanning
      summary: Create registry
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/RegistryReq'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Registry'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  requestBodies:
    RegistryReq:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RegistryReq'
      description: Registry
      required: true
  schemas:
    Registry:
      properties:
        account_id:
          type: string
        aws_account_id:
          type: string
        aws_region:
          type: string
        created_at:
          type: string
        gcp_location:
          type: string
        gcp_project_id:
          type: string
        gcp_project_number:
          type: string
        id:
          type: string
        repository_name:
          type: string
        type:
          type: string
        updated_at:
          type: string
      type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    RegistryReq:
      properties:
        aws_account_id:
          type: string
        aws_region:
          type: string
        gcp_location:
          type: string
        gcp_project_id:
          type: string
        gcp_project_number:
          type: string
        repository_name:
          type: string
        type:
          type: string
      type: object
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````